Investors, warrants & staking

Update Warrant Fields

Updates a warrant's status flags, terms and investor entity and upserts its custom tags in one transaction.

POSThttps://api.toku.com/tga/update-warrant-fields

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/update-warrant-fields' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "warrantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "isSigned": true,
  "isPaid": true,
  "isUnderLockup": true,
  "isExercised": true,
  "isOffPlatform": true,
  "warrantName": "string",
  "firmName": "string",
  "warrantAmount": 0,
  "lockupPeriodMonths": 0,
  "lockupFrequencyType": "MONTHLY",
  "purchasePrice": 0,
  "issueDate": "2026-01-01T00:00:00Z",
  "tags": [
    "string"
  ],
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "investorEntityID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "success": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

warrantIDstring<uuid>required
isSignedbooleanrequired
isPaidbooleanrequired
isUnderLockupbooleanrequired
isExercisedbooleanrequired
isOffPlatformbooleanrequired
warrantNamestring

Allowed: 1 to 500 characters

firmNamestring

Allowed: at most 500 characters

warrantAmountnumber
lockupPeriodMonthsinteger

Allowed: 0 to 1000

lockupFrequencyTypestring

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

purchasePricenumber
issueDatestring<date-time>
tagsstring[]

Allowed: at most 500 items

roleInOrgIDstring<uuid>required
investorEntityIDstring<uuid>

Response

200Successful response
successbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits